"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.typescriptConfigFiles = exports.typescriptCommand = exports.typescriptBuildConfigFiles = exports.prettierExtensions = exports.prettierConfigFiles = exports.prettierCommand = exports.prettierCiExtensions = exports.jestPreOrderProjects = exports.jestConfigFiles = exports.jestCommand = exports.eslintIgnoreFiles = exports.eslintExtensions = exports.eslintConfigFiles = exports.eslintCommand = exports.depcheckIgnorePackages = exports.coverageDefaultWatermark = exports.commitlintConfigFiles = exports.commitlintCommand = exports.babelScriptFiles = exports.babelExtensions = exports.babelConfigFiles = exports.babelCommandWatch = exports.babelCommandNode = exports.babelCommand = void 0;
const babelExtensions = '.js,.jsx,.ts,.tsx,.json';
exports.babelExtensions = babelExtensions;
const babelScriptFiles = ['src/index.ts', 'src/index.js'];
exports.babelScriptFiles = babelScriptFiles;
const babelConfigFiles = ['babel.config.js', 'babel.config.json'];
exports.babelConfigFiles = babelConfigFiles;
const babelCommand = './node_modules/.bin/babel';
exports.babelCommand = babelCommand;
const babelCommandNode = './node_modules/.bin/babel-node';
exports.babelCommandNode = babelCommandNode;
const babelCommandWatch = './node_modules/.bin/babel-watch';
exports.babelCommandWatch = babelCommandWatch;
const commitlintConfigFiles = ['commitlint.config.js', '.commitlintrc.js', '.commitlintrc.json', '.commitlintrc.yml'];
exports.commitlintConfigFiles = commitlintConfigFiles;
const commitlintCommand = './node_modules/.bin/commitlint';
exports.commitlintCommand = commitlintCommand;
const jestConfigFiles = ['jest.config.js', 'jest.config.ts'];
exports.jestConfigFiles = jestConfigFiles;
const jestCommand = './node_modules/.bin/jest';
exports.jestCommand = jestCommand;
const jestPreOrderProjects = ['unit', 'integration', 'e2e'];
exports.jestPreOrderProjects = jestPreOrderProjects;
const coverageDefaultWatermark = [50, 90];
exports.coverageDefaultWatermark = coverageDefaultWatermark;
const eslintIgnoreFiles = new Set(['babel.config.js', 'jest.config.js']);
exports.eslintIgnoreFiles = eslintIgnoreFiles;
const eslintExtensions = 'js,ts,tsx';
exports.eslintExtensions = eslintExtensions;
const eslintCommand = './node_modules/.bin/eslint';
exports.eslintCommand = eslintCommand;
const eslintConfigFiles = ['.eslintrc.js', '.eslintrc.cjs', '.eslintrc.yaml', '.eslintrc.yml', '.eslintrc.json', '.eslintrc'];
exports.eslintConfigFiles = eslintConfigFiles;
const prettierCiExtensions = 'json,md,scss,yml,yaml,html';
exports.prettierCiExtensions = prettierCiExtensions;
const prettierExtensions = `ts,tsx,js,jsx,${prettierCiExtensions}`;
exports.prettierExtensions = prettierExtensions;
const prettierCommand = './node_modules/.bin/prettier';
exports.prettierCommand = prettierCommand;
const prettierConfigFiles = ['.prettierrc', '.prettierrc.json', '.prettierrc.yml', '.prettierrc.yaml', '.prettierrc.toml', '.prettierrc.js', 'prettier.config.js'];
exports.prettierConfigFiles = prettierConfigFiles;
const typescriptConfigFiles = ['tsconfig.json'];
exports.typescriptConfigFiles = typescriptConfigFiles;
const typescriptBuildConfigFiles = ['tsconfig.build.json', 'tsconfig.json'];
exports.typescriptBuildConfigFiles = typescriptBuildConfigFiles;
const typescriptCommand = './node_modules/.bin/tsc';
exports.typescriptCommand = typescriptCommand;
const depcheckIgnorePackages = ['@types/node', 'typescript', 'carna'];
exports.depcheckIgnorePackages = depcheckIgnorePackages;