"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.gitStagedAction = void 0;

var _exec = require("../../cmd/exec");

const gitStagedAction = async ({
  root,
  log
}) => {
  log.info('Get the list of staged files');
  const {
    stdout
  } = await (0, _exec.exec)({
    cmd: 'git',
    args: ['diff', '--staged', '--name-only'],
    cwd: root,
    log
  });

  if (stdout.trim() === '') {
    log.debug('No staged files were found');
    return [];
  }

  const files = stdout.trim().split('\n');
  log.info(files.map(file => `▸ ${file}`));
  return files;
};

exports.gitStagedAction = gitStagedAction;