"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.npmPackageLoadAction = void 0;

var _path = require("path");

var _access = require("../../cmd/access");

var _readFile = require("../../cmd/readFile");

const npmPackageLoadAction = async ({
  root,
  log
}, {
  key,
  throwError,
  path = root
}) => {
  const pathPackageJson = (0, _path.join)(path, 'package.json');
  const isExists = await (0, _access.access)(pathPackageJson);

  if (!isExists) {
    throw new Error('package.json is not found');
  }

  log.debug('Read the package.json');
  const config = await (0, _readFile.readFile)(pathPackageJson, true);

  if (typeof key === 'undefined') {
    return config;
  }

  const value = config[key];

  if (throwError && typeof value === 'undefined') {
    throw new TypeError(`The package.json value "${key}" is undefiend`);
  }

  return value;
};

exports.npmPackageLoadAction = npmPackageLoadAction;