"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.babelNodeAction = void 0;

var _path = require("path");

var _actionConfigs = require("../../../configs/actionConfigs");

var _exec = require("../../cmd/exec");

var _getBabelConfigPath = require("../../utils/getBabelConfigPath");

const babelNodeAction = async ({
  root,
  cwd,
  log
}, {
  script,
  watch,
  watchPaths = []
}) => {
  const configPath = await (0, _getBabelConfigPath.getBabelConfigPath)([cwd, root]);
  const cmd = (0, _path.join)(root, watch ? _actionConfigs.babelCommandWatch : _actionConfigs.babelCommandNode);
  const args = [];
  args.push('--extensions', _actionConfigs.babelExtensions);
  args.push('--config-file', configPath);

  if (watch) {
    args.push(...watchPaths.flatMap(path => ['--watch', path]));
  }

  args.push(script);
  log.info(`Run babel-${watch ? 'watch' : 'node'}`);
  await (0, _exec.exec)({
    cmd,
    args,
    cwd,
    log,
    withInteraction: true
  });
};

exports.babelNodeAction = babelNodeAction;