import { Arguments, Argv } from 'yargs';
import { PropsGlobal, Task } from '../types';
declare type CommandBuilder<TaskProps = Record<string, unknown>> = (yargs: Argv<PropsGlobal>) => Argv<PropsGlobal & TaskProps>;
declare type CommandHandler<TaskProps = Record<string, unknown>> = (argv: Arguments<PropsGlobal & TaskProps>) => Promise<void>;
declare const errorHandler: (msg: string, error: Error) => void;
declare const createHandler: <TaskProps extends Record<string, unknown>>(task: Task<TaskProps, void>) => CommandHandler<TaskProps>;
declare const createBuilder: <TaskProps>(command: string, callback: CommandBuilder<TaskProps>) => CommandBuilder<TaskProps>;
export { createBuilder, createHandler, errorHandler };
