/// <reference types="node" />
import { Logger } from '../cli/logger';
import type { SpawnKillHandler } from '../utils/createSpawnKillHandler';
declare type Options = {
    readonly cmd: string;
    readonly args: readonly string[];
    readonly withInteraction?: boolean;
    readonly withDirectOutput?: boolean;
    readonly spawnKillHandler?: SpawnKillHandler;
    readonly cwd: string;
    readonly env?: NodeJS.ProcessEnv;
    readonly log: Logger;
};
declare const exec: ({ cwd, cmd, args, withInteraction, withDirectOutput, spawnKillHandler, env: envExtend, log, }: Options) => Promise<{
    stdout: string;
    stderr: string;
    output: string;
}>;
export { exec };
