"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createConfig = void 0;

var _toolLib = require("@kettil/tool-lib");

var _defaultConfig = require("./defaultConfig");

var _getCollectCoverageFrom = require("./getCollectCoverageFrom");

var _getWorkspaces = require("./getWorkspaces");

const createConfig = (root, config) => {
  if (!(0, _toolLib.isObject)(config)) {
    throw new TypeError('"config" is not an object');
  }

  if (!(0, _toolLib.isArray)(config.projects)) {
    throw new TypeError('"projects" is not an array in the "config" object');
  }

  const workspaces = (0, _getWorkspaces.getWorkspaces)(root);
  const collectCoverageFrom = (0, _getCollectCoverageFrom.getCollectCoverageFrom)(Object.values(workspaces), config.collectCoverageFrom);
  const projects = config.projects.filter(project => (0, _toolLib.isObject)(project) || typeof project === 'function').map(project => typeof project === 'function' ? project(root, workspaces) : { ..._defaultConfig.defaultConfig,
    ...project
  });
  return { ..._defaultConfig.defaultConfig,
    ...config,
    projects,
    collectCoverageFrom
  };
};

exports.createConfig = createConfig;