"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ciTask = void 0;

var _taskHook = require("../utils/taskHook");

var _analyseTask = require("./analyseTask");

var _buildTask = require("./buildTask");

var _depsTask = require("./depsTask");

var _licenseTask = require("./licenseTask");

var _testTask = require("./testTask");

const ciTask = async argv => {
  const extendArgv = { ...argv,
    ci: true
  };
  await (0, _taskHook.taskHook)(argv, {
    task: 'ci',
    type: 'pre'
  });
  await (0, _buildTask.buildTask)(extendArgv, {});
  await (0, _analyseTask.analyseTask)(extendArgv, {});
  await (0, _testTask.testTask)(extendArgv, {
    verbose: true,
    runInBand: true
  });
  await (0, _licenseTask.licenseTask)(extendArgv, {});
  await (0, _depsTask.depsTask)(extendArgv, {});
  await (0, _taskHook.taskHook)(argv, {
    task: 'ci',
    type: 'post'
  });
};

exports.ciTask = ciTask;